#ifndef
Prev | Orchestra Opcodes and Operators | Next

## #ifndef

#ifndef — Conditional reading of code.

## Description

If the specified macro is not defined then #ifndef can incorporate text into an orchestra upto the next #end. This is similar to, but independent of, the macro system in the score language.

## Syntax

    #ifndef NAME

    ....

    #else

    ....

    #end

## Performance

Note that the #ifndef can be nested, like in the C preprocessor language.

## Examples

Here is a simple example of the conditional.

Example 18. Simple example of the #ifndef form.

              #define final ##
              instr 1
              #ifndef final
              print "calling oscil"
              #end
              a1   oscil 32000,440,1
              out  a1
            endin

## See Also

$NAME, #define, #ifdef.

## Credits

Author: John ffitch
University of Bath/Codemist Ltd.
Bath, UK
April 2005

New in Csound5 (and 4.23f13)

Prev | Up | Next
#ifdef | Home | $NAME